Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.ocm
Interface OCMsink.SubSink

All Superinterfaces:
  OCMbase.SubBase

All Known Subinterfaces:
  OCMvalidator.SubValidator

All Known Implementing Classes:
  OCMsinkSupport.SubSinkSupport

Enclosing class:
  OCMsink

public static interface OCMsink.SubSink
extends OCMbase.SubBase

A processing object spawned from an OCMsource object.

Method Summary
`String` | `express()` Generate an XML document (or other text).
`void` | `express(PrintWriter pw)` Generate an XML document (or other text).
`void` | `expressFile()` Express an object tree as an XML document using the default encoding.
`QDoc` | `getInputSchemaDoc()` Gets the input schema doc.
`OCMsource.SubSource` | `getSubSource()` Returns the input source used by the sink.
`void` | `setDocName(String inputName)` Sets the doc name.
`void` | `setInputDocName(Object inputName)` Sets the input doc name.

Method Detail

### getSubSource

    public OCMsource.SubSource getSubSource()
                                     throws SAXException,
                                            IOException

  Returns the input source used by the sink.

### getInputSchemaDoc

    public QDoc getInputSchemaDoc()
                           throws SAXException,
                                  IOException

  Gets the input schema doc.

### setInputDocName

    public void setInputDocName(Object inputName)
                         throws SAXException,
                                IOException

  Sets the input doc name.

### setDocName

    public void setDocName(String inputName)
                    throws SAXException,
                           IOException

  Sets the doc name.

### express

    public String express()
                   throws SAXException,
                          IOException

  Generate an XML document (or other text).
  Returns:
    The XML representation

### expressFile

    public void expressFile()
                     throws SAXException,
                            IOException

  Express an object tree as an XML document using the default encoding.
  Parameters:
    `filename` - File name of the new XML document.

### express

    public void express(PrintWriter pw)
                 throws SAXException,
                        IOException

  Generate an XML document (or other text).
  Parameters:
    `PW` - PrintWriter where the XML document is to be written.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD